<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/get_privileges_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/02/84  get_privileges_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in get_privileges_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: get_privileges_: 02/02/84  get_privileges_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: returns the access privileges of the process.
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>Syntax:
<span id="L15" class="LineNr">15 </span>declare get_privileges_ entry returns <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L16" class="LineNr">16 </span>privilege_string = get_privileges_ <span class="textRainbow_lv0_p0">()</span>;
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>Arguments:
<span id="L20" class="LineNr">20 </span>privilege_string
<span id="L21" class="LineNr">21 </span>   is a bit string with a bit set <span class="textRainbow_lv0_p0">(</span>&quot;1&quot;b<span class="textRainbow_lv0_p0">)</span> for each access privilege the
<span id="L22" class="LineNr">22 </span>   process has.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>Notes:  The individual bits in privilege_string are defined by the
<span id="L26" class="LineNr">26 </span>following PL/I structure.  For each bit, &quot;1&quot;b = yes and &quot;0&quot;b = no.
<span id="L27" class="LineNr">27 </span>
<span id="L28" class="LineNr">28 </span>   dcl 1 privileges    unaligned,
<span id="L29" class="LineNr">29 </span>         2 ipc         bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>,
<span id="L30" class="LineNr">30 </span>         2 dir         bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>,
<span id="L31" class="LineNr">31 </span>         2 seg         bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>,
<span id="L32" class="LineNr">32 </span>         2 soos        bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>,
<span id="L33" class="LineNr">33 </span>         2 ring1       bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>,
<span id="L34" class="LineNr">34 </span>         2 rcp         bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>,
<span id="L35" class="LineNr">35 </span>         2 mbz         bit<span class="textRainbow_lv0_p0">(</span>30<span class="textRainbow_lv0_p0">)</span>;
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>Structure elements:
<span id="L39" class="LineNr">39 </span>   ipc
<span id="L40" class="LineNr">40 </span>      indicates whether the access isolation mechanism <span class="textRainbow_lv0_p0">(</span>AIM<span class="textRainbow_lv0_p0">)</span>
<span id="L41" class="LineNr">41 </span>      restrictions for sending/receiving wakeups to/from any other
<span id="L42" class="LineNr">42 </span>      process are bypassed for the calling process.
<span id="L43" class="LineNr">43 </span>   dir
<span id="L44" class="LineNr">44 </span>      indicates whether the AIM restrictions for accessing any
<span id="L45" class="LineNr">45 </span>      directory are bypassed for the calling process.
<span id="L46" class="LineNr">46 </span>   seg
<span id="L47" class="LineNr">47 </span>      indicates whether the AIM restrictions for accessing any segment
<span id="L48" class="LineNr">48 </span>      are bypassed for the calling process.
<span id="L49" class="LineNr">49 </span>   soos
<span id="L50" class="LineNr">50 </span>      indicates whether the AIM restrictions for accessing directories
<span id="L51" class="LineNr">51 </span>      that have been set security-out-of-service are bypassed for the
<span id="L52" class="LineNr">52 </span>      calling process.
<span id="L53" class="LineNr">53 </span>
<span id="L54" class="LineNr">54 </span>
<span id="L55" class="LineNr">55 </span>   ring1
<span id="L56" class="LineNr">56 </span>      indicates whether the AIM restrictions for accessing any ring 1
<span id="L57" class="LineNr">57 </span>      system segment are bypassed for the calling process.
<span id="L58" class="LineNr">58 </span>   rcp
<span id="L59" class="LineNr">59 </span>      indicates whether the AIM restrictions for accessing resources
<span id="L60" class="LineNr">60 </span>      through RCP resource management are bypassed for the calling
<span id="L61" class="LineNr">61 </span>      process.
<span id="L62" class="LineNr">62 </span>   mbz
<span id="L63" class="LineNr">63 </span>      is unused and is &quot;0&quot;b.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
